package jumpstart.max.web.pages.starters;

import jumpstart.max.web.pages.login.LoginPage;

import org.apache.tapestry.html.BasePage;

public abstract class RestoreFromSessionPage3 extends BasePage {
	static public final String PAGE_NAME = "pages/starters/RestoreFromSessionPage3";

	public void activate() {
		// No preparation required before activation.
		getRequestCycle().activate(this);
	}

	public void doReturn() {
		RestoreFromSessionPage2 nextPage = (RestoreFromSessionPage2) getRequestCycle().getPage(
				RestoreFromSessionPage2.PAGE_NAME);
		nextPage.activateWithRestore();
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}
}
