package jumpstart.max.web.pages.starters;

import jumpstart.max.web.pages.login.LoginPage;

import org.apache.tapestry.IExternalPage;
import org.apache.tapestry.IRequestCycle;
import org.apache.tapestry.callback.ExternalCallback;

public abstract class ReturnAnywhereUHFPage2 extends ReturnAnywhereUHFBasePage implements IExternalPage {
	static public final String PAGE_NAME = "pages/starters/ReturnAnywhereUHFPage2";

	public abstract String getFirstName();
	public abstract void setFirstName(String value);

	public abstract String getLastName();
	public abstract void setLastName(String value);

	public void activate() {
		// No preparation required before activation.
		getRequestCycle().activate(this);
	}

	// Used by callback from next page
	public void activateExternalPage(Object[] parameters, IRequestCycle cycle) {
		setFirstName((String) parameters[0]);
		setLastName((String) parameters[1]);
		getRequestCycle().activate(this);
	}

	public void doSaveAndGoToPage3() {
		pushCallback(new ExternalCallback(this, new Object[] { getFirstName(), getLastName() }));

		ReturnAnywhereUHFPage3 nextPage = (ReturnAnywhereUHFPage3) getRequestCycle().getPage(
				ReturnAnywhereUHFPage3.PAGE_NAME);
		nextPage.activate();
	}

	public void doReturn() {
		popAndActivateCallback();
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}
}