package jumpstart.max.web.pages.starters;

import org.apache.tapestry.annotations.Bean;
import org.apache.tapestry.engine.ILink;

public abstract class WebFlow2Applicant1Page extends WebFlow2BasePage {
	static public final String PAGE_NAME = "pages/starters/WebFlow2Applicant1Page";

	@Override
	// Beans get created and destroyed on the fly per request cycle
	// Our own validation delegate class allows us to set the focus field!
	@Bean(initializer = "defaultFocusField=name")
	public abstract WebFlowValidationDelegate getValidationDelegate();

	public ILink doNext() {
		ILink redirectTo = null;
		try {
			getCreditApplication().validateApplicant1();
			redirectTo = getNextLink();
		}
		catch (Exception e) {
			recordError(e.getMessage(), "name");
		}
		return redirectTo;
	}
}