package jumpstart.max.business.commons.exception;

import javax.ejb.ApplicationException;

import org.joda.time.DateTime;

@ApplicationException(rollback = true)
@SuppressWarnings("serial")
public class UnexpectedException extends ServiceException {
	Throwable _exception;
	DateTime _when;

	public UnexpectedException(Throwable exception) {
		super("UnexpectedException", new Object[] { (new DateTime()).toString() });
		_exception = exception;
	}

	public Throwable getException() {
		return _exception;
	}

}
